%define rname flexmock
%define name  ruby-%{rname}

%define version 0.8.3
%define release %mkrel 1

Summary: Simple mock object for unit testing
Name: %name
Version: %version
Release: %release
License: BSD-like
Group: Development/Ruby
URL: http://onestepback.org/software/flexmock/
Source0: %{rname}-%{version}.gem
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildArch: noarch
BuildRequires: ruby-RubyGems ruby-rake ruby-rcov
Requires: ruby

%description
FlexMock is a simple mock object for unit testing. The interface is simple,
but still provides a good bit of flexibility.

%prep
rm -rf %rname-%version
gem install %{SOURCE0} --install-dir `pwd`
mv gems/%rname-%version .
rmdir gems
%setup -T -D -n %rname-%version

%check
rake test

%clean
rm -rf %buildroot

%install
rm -rf %buildroot
mkdir -p %buildroot%ruby_sitelibdir
cp -a lib/flexmock* %buildroot%ruby_sitelibdir
for f in `find test %buildroot -name \*.rb`
do
	if head -n1 "$f" | grep '^#!' >/dev/null;
	then
		sed -i 's|/usr/local/bin|/usr/bin|' "$f"
		chmod 0755 "$f"
	else
		chmod 0644 "$f"
	fi
done

%files
%defattr(-,root,root)
%{ruby_sitelibdir}/flexmock*
%doc README test


%changelog
* Thu Sep 04 2008 Jérôme Soyer <saispo@mandriva.org> 0.8.3-1mdv2009.0
+ Revision: 280643
- New release

* Sat Aug 02 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.6.0-5mdv2009.0
+ Revision: 260406
- rebuild

* Mon Jul 28 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.6.0-4mdv2009.0
+ Revision: 251664
- rebuild

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.6.0-2mdv2008.1
+ Revision: 140753
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Apr 22 2007 Pascal Terjan <pterjan@mandriva.org> 0.6.0-2mdv2008.0
+ Revision: 16868
- Ship missing files

* Sun Apr 22 2007 Pascal Terjan <pterjan@mandriva.org> 0.6.0-1mdv2008.0
+ Revision: 16756
- Buildrequires ruby-rcov
- 0.6.0
- Use Development/Ruby group
- Use std macros


* Thu Feb 09 2006 Pascal Terjan <pterjan@mandriva.org> 0.1.7-2mdk
- BuildRequires ruby-rake

* Mon Feb 06 2006 Pascal Terjan <pterjan@mandriva.org> 0.1.7-1mdk
- 0.1.7
- use gem
- mkrel
- fix perms

* Fri Jul 01 2005 Pascal Terjan <pterjan@mandriva.org> 0.0.3-1mdk
- first release

